## ros-indigo-velodyne-gazebo-plugins 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(velodyne_gazebo_plugins)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  tf
  gazebo_ros
)
find_package(gazebo REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES gazebo_ros_velodyne_laser
  CATKIN_DEPENDS roscpp sensor_msgs gazebo_ros
  DEPENDS gazebo
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

link_directories(
  ${GAZEBO_LIBRARY_DIRS}
)

add_library(gazebo_ros_velodyne_laser src/GazeboRosVelodyneLaser.cpp)
target_link_libraries(gazebo_ros_velodyne_laser
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
  RayPlugin
)

install(TARGETS gazebo_ros_velodyne_laser
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-velodyne-gazebo-plugins (0.0.4-1trusty) trusty; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Use Gazebo LaserScan message instead of direct LaserShape access, fixes timestamp issue
  * Contributors: Kevin Hallenbeck, Max Schwarz, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-indigo-velodyne-gazebo-plugins (0.0.3-1trusty) trusty; urgency=high

  * Fixed ground plane projection by removing interpolation
  * Updated package.xml format to version 2
  * Removed gazebo_plugins dependency
  * Gazebo7 integration
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich, Konstantin Sorokin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Sep 2017 04:00:00 -0000

ros-indigo-velodyne-gazebo-plugins (0.0.2-1trusty) trusty; urgency=high

  * Display laser count when loading gazebo plugin
  * Don't reverse ring for newer gazebo versions
  * Changed to PointCloud2. Handle min and max range. Noise. General cleanup.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 04 Feb 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-velodyne-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gazebo-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/velodyne_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-indigo-velodyne-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: Gazebo plugin to provide simulated data from Velodyne laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-velodyne-gazebo-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
